Bug 206120 - math/clblas: Update to 2.10
Summary: math/clblas: Update to 2.10
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Raphael Kubo da Costa
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-01-11 00:18 UTC by Johannes M Dieterich
Modified: 2016-03-14 11:14 UTC (History)
4 users (show)

See Also:


Attachments
svn diff for math/clblas (10.38 KB, patch)
2016-01-11 00:18 UTC, Johannes M Dieterich
no flags Details | Diff
svn diff for math/clblas (5.79 KB, patch)
2016-02-09 02:40 UTC, Johannes M Dieterich
rakuco: maintainer-approval+
Details | Diff
patch including a distversionprefix statement (5.82 KB, patch)
2016-03-14 03:39 UTC, Johannes M Dieterich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes M Dieterich freebsd_committer 2016-01-11 00:18:23 UTC
Created attachment 165378 [details]
svn diff for math/clblas

Find attached a patch to update math/clblas to the 2.10 release. Biggest improvement over the 2.6'er we had before: automatic kernel ejection for better and more flexible performance.

New patches are needed to pacify clang. A pull request has been sent to upstream, hoping they will include them.

This patch has been compiled using poudriere on 10.1 i386, 10.1 amd64 and 11 amd64. It is clean w.r.t. portlint.
Comment 1 Thomas Zander freebsd_committer 2016-01-30 17:31:09 UTC
> portlint -ca

FATAL: /usr/ports/math/clblas/files/patch-src_library_blas_AutoGemm_UserGemmKernelSources_dgemm__Col__NN__B0__MX048__NX048__KX08__src.cpp: make sure patch file names contain no more than 100 characters.
FATAL: /usr/ports/math/clblas/files/patch-src_library_blas_AutoGemm_UserGemmKernelSources_dgemm__Col__NN__B1__MX048__NX048__KX08__src.cpp: make sure patch file names contain no more than 100 characters.
FATAL: /usr/ports/math/clblas/files/patch-src_library_blas_AutoGemm_UserGemmKernelSources_dgemm__Col__NT__B0__MX048__NX048__KX08__src.cpp: make sure patch file names contain no more than 100 characters.
FATAL: /usr/ports/math/clblas/files/patch-src_library_blas_AutoGemm_UserGemmKernelSources_dgemm__Col__NT__B1__MX048__NX048__KX08__src.cpp: make sure patch file names contain no more than 100 characters.
FATAL: /usr/ports/math/clblas/files/patch-src_library_blas_AutoGemm_UserGemmKernelSources_dgemm__Col__TN__B0__MX048__NX048__KX08__src.cpp: make sure patch file names contain no more than 100 characters.
FATAL: /usr/ports/math/clblas/files/patch-src_library_blas_AutoGemm_UserGemmKernelSources_dgemm__Col__TN__B1__MX048__NX048__KX08__src.cpp: make sure patch file names contain no more than 100 characters.
Comment 2 Johannes M Dieterich freebsd_committer 2016-02-09 02:40:13 UTC
Created attachment 166779 [details]
svn diff for math/clblas

Summarize the pragma protections in one patch file, thereby removing the portslint complaint about 100+ chars. Sorry, no idea how I missed this.

Tested to build on 11 amd64, 10.3 amd64 and 10.3 i386.
Comment 3 Johannes M Dieterich freebsd_committer 2016-03-08 15:09:29 UTC
Just a ping: what is missing to get this port update into the tree?
Comment 4 Raphael Kubo da Costa freebsd_committer 2016-03-13 11:03:08 UTC
Comment on attachment 166779 [details]
svn diff for math/clblas

It helps to set the "maintainer-approval" flag to + so that this bug is listed in the "Ports: Maintainer Approved" saved search that many committers use to know which patches to land.
Comment 5 Raphael Kubo da Costa freebsd_committer 2016-03-13 11:03:52 UTC
The port is failing to fetch here:

===>   clblas-2.10 depends on file: /usr/local/sbin/pkg - found
=> clMathLibraries-clBLAS-2.10_GH0.tar.gz doesn't seem to exist in /portdistfiles/.
=> Attempting to fetch https://codeload.github.com/clMathLibraries/clBLAS/tar.gz/2.10?dummy=/clMathLibraries-clBLAS-2.10_GH0.tar.gz
fetch: https://codeload.github.com/clMathLibraries/clBLAS/tar.gz/2.10?dummy=/clMathLibraries-clBLAS-2.10_GH0.tar.gz: Not Found
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/clMathLibraries-clBLAS-2.10_GH0.tar.gz
fetch: http://distcache.FreeBSD.org/ports-distfiles/clMathLibraries-clBLAS-2.10_GH0.tar.gz: Not Found
=> Couldn't fetch it - please try to retrieve this
=> port manually into /portdistfiles/ and try again.
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2016-03-13 11:17:11 UTC
@Raphael, why was the maintainer-feedback flag (and needs-patch) removed if the current patch needs to be updated given it's failing?
Comment 7 Raphael Kubo da Costa freebsd_committer 2016-03-13 12:01:43 UTC
(In reply to Kubilay Kocak from comment #6)
> @Raphael, why was the maintainer-feedback flag (and needs-patch) removed if
> the current patch needs to be updated given it's failing?

Isn't the maintainer-feedback flag used to indicate if the maintainer is responding to a patch send by someone? Since the maintainer is the submitter I thought it was redundant.

As for needs-patch, to me it seemed to be used when a patch needed to be sent, so since there's a patch here (even if not ready) I removed it.
Comment 8 Johannes M Dieterich freebsd_committer 2016-03-14 03:39:40 UTC
Created attachment 168123 [details]
patch including a distversionprefix statement

It seems they have appended "v" as a version prefix now. Changed the patch accordingly.

Since nothing else changed, my earlier comments on it building and portlint passing hold. I also just retested it on CURRENT after the llvm 3.8 import.
Comment 9 commit-hook freebsd_committer 2016-03-14 11:14:02 UTC
A commit references this bug:

Author: rakuco
Date: Mon Mar 14 11:13:47 UTC 2016
New revision: 411054
URL: https://svnweb.freebsd.org/changeset/ports/411054

Log:
  Update to 2.10.

  Biggest improvement over the 2.6'er we had before: automatic kernel ejection
  for better and more flexible performance.

  PR:		206120
  Submitted by:	Johannes Dieterich <dieterich@ogolem.org> (maintainer)

Changes:
  head/math/clblas/Makefile
  head/math/clblas/distinfo
  head/math/clblas/files/
  head/math/clblas/files/patch-protect_pragma.diff
  head/math/clblas/pkg-plist
Comment 10 Raphael Kubo da Costa freebsd_committer 2016-03-14 11:14:38 UTC
Committed, thanks!